%define _name nautilus-media
%define ver_major 0.3
%def_without test_view

Name: nautilus2-media
Version: %ver_major.3
Release: alt1

Summary: A Nautilus media package with views and thumbnailers
Group: Graphical desktop/GNOME
License: LGPL
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2

%define gstreamer_ver 0.6.3
%define nautilus_ver 2.3.9

Requires: gstreamer >= %gstreamer_ver
Requires: gstreamer-plugins >= %gstreamer_ver
Requires: gstreamer-audio-effects >= %gstreamer_ver
Requires: gstreamer-audio-formats >= %gstreamer_ver
Requires: gstreamer-vorbis >= %gstreamer_ver

BuildPreReq: gstreamer-devel >= %gstreamer_ver
BuildPreReq: gstreamer-plugins-devel >= %gstreamer_ver
BuildPreReq: libnautilus-devel >= %nautilus_ver

# Automatically added by buildreq on Thu Aug 28 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound-devel fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel gstreamer-devel gstreamer-plugins-devel libGConf2-devel libORBit2 libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libeel2-devel libexpat libgail-devel libglade2-devel libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel libnautilus-devel libpango-devel libpopt-devel libssl-devel libstdc++-devel libxml2-devel pkgconfig zlib-devel

BuildRequires: gnome-common

%description
This package contains a Nautilus view for audio using GStreamer.

%package -n nautilus-test-view
Summary: Nautilus test view, only for educational purposes
Group: Development/GNOME and GTK+

%description -n nautilus-test-view
This package contains a Nautilus test view which doesn't do anything useful
and is only meant for educational use.

%define _libexecdir %_libdir/nautilus-2.0/components

%prep
%setup -q -n %_name-%version

%build
%configure \
%if_with test_view
	--enable-test-view
%endif

%make_build

%install
%makeinstall

%find_lang %_name

%post
%gconf2_install gst-thumbnail

%files -f %_name.lang
%_bindir/*
%_libdir/bonobo/servers/*audio*
%_libdir/bonobo/*.so
%_libexecdir/nautilus-audio-view
%_datadir/gnome-2.0/ui/*audio*
%_datadir/nautilus/glade/*
%_datadir/pixmaps/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS README TODO ChangeLog

%if_with test_view
%files -n nautilus-test-view
%_libdir/bonobo/servers/*test*
%_libexecdir/nautilus-test-view
%_datadir/gnome-2.0/ui/*test*
%doc test-view/README
%endif

%changelog
* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.3-alt1
- 0.3.3

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt1
- 0.3.1

* Sat Jun 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt1
- 0.3.0

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt1
- 0.2.1

* Thu Jan 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt1
- new version.

* Wed Jan 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.1.2-alt1
- First build for Sisyphus.
